define riak_zabbix::zabbix($riak_listen_ip, $zabbix_server){
  	File {
		owner => root,
		group => root,
	}

	package { "zabbix-agent":
		ensure => installed,
		require => Yumrepo["epel"],
	}
	
	yumrepo { "epel":
    	baseurl => "http://download.fedoraproject.org/pub/epel/6/\$basearch",
    	descr => "EPEL repo",
    	enabled => 1,
    	gpgcheck => 0,
  	}

	file { "/etc/zabbix/zabbix_agentd.conf":
		content => template("riak_zabbix/etc/zabbix/zabbix_agentd.conf.erb"),
		ensure => present,
	}

	service { "zabbix-agent":
		ensure => "running",
		hasstatus => true,
		enable => true,
		subscribe  => [ File["/etc/zabbix/zabbix_agentd.conf"] ],
	}

	Package["zabbix-agent"] -> File["/etc/zabbix/zabbix_agentd.conf"] -> Service["zabbix-agent"]
}
